/*
 File: la_expr_lexicalsym.cpp
 Date and Time: Fri Jan 30 18:55:13 2015 
*/
#include "la_expr_lexical.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_la_expr_lexical;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
Cla_expr_lexical::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rstripper_:{
       Rstripper* sym;
     if(re->rule_ == 0){
       sym = new Rstripper(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rstripper*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     sym->op();
     return;}
    case rhs1_Rtoks_:{
       Rtoks* sym;
     if(re->rule_ == 0){
       sym = new Rtoks(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtoks*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_Rtoks_:{
       Rtoks* sym;
     if(re->rule_ == 0){
       sym = new Rtoks(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtoks*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 2;
    

     return;}
    case rhs1_Rtok_:{
       Rtok* sym;
     if(re->rule_ == 0){
       sym = new Rtok(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtok*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr1();
     return;}
    case rhs2_Rtok_:{
       Rtok* sym;
     if(re->rule_ == 0){
       sym = new Rtok(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtok*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr2();
     return;}
    case rhs3_Rtok_:{
       Rtok* sym;
     if(re->rule_ == 0){
       sym = new Rtok(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtok*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr3();
     return;}
    case rhs4_Rtok_:{
       Rtok* sym;
     if(re->rule_ == 0){
       sym = new Rtok(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtok*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr4();
     return;}
    case rhs5_Rtok_:{
       Rtok* sym;
     if(re->rule_ == 0){
       sym = new Rtok(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtok*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr5();
     return;}
    case rhs6_Rtok_:{
       Rtok* sym;
     if(re->rule_ == 0){
       sym = new Rtok(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rtok*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     sym->sr6();
     return;}
    default: return;
   }
}
